<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@page import="w83b.w83bUtilidadesComunes.W83bClsConstantes"%>
<%@page import="w83b.w83bDAO.w83bConstantesBD.W83bRegistroDefinitivoBD"%>
<%@page import="w83b.w83bUtilidadesComunes.W83bUtilidadesN38API"%>
<%@ page import="es.ejie.frmk.infraestructura.internacionalizacion.Q70GestorMensajesi18n" %>
<bean:define id="permisoUsuario" type="w83b.w83bBeans.W83bUsuarioXLNetsBean" name="contexto" property="<%=W83bClsConstantes.CONSTANTE_CONTEXTO_USUARIO %>"></bean:define>
<bean:define id="strIdioma" type="java.lang.String" name="contexto" property="<%=W83bClsConstantes.CONSTANTE_CONTEXTO_IDIOMA%>"/>
<%	
String versionjs= Q70ListenerUtils.getApplicationProperty("versionjs");
%>
<script type="text/javascript">
var literalCentroTrabajoInexistente = '<html:message  i18nKey="w83brecursosErrores" key="error.mensaje.centroInexistente"/>';					
var litaraba='<html:message key="comun.delegaciones.alava" i18nKey="w83bcomun"/>';
var litgipuzkoa='<html:message key="comun.delegaciones.gipuzkoa" i18nKey="w83bcomun"/>';
var litbizkaia='<html:message key="comun.delegaciones.bizkaia" i18nKey="w83bcomun"/>';
var registrodefinitivo = '<html:message key="comun.herramientas.registroDefinitivo" i18nKey="w83bcomun"/>';
var cierremensual = '<html:message key="comun.herramientas.cierreMensual" i18nKey="w83bcomun"/>';
var datosMinisterio = '<html:message key="comun.herramientas.datosMinisterio" i18nKey="w83bcomun"/>';
var mantenimientos = '<html:message key="comun.menu.mantenimientos" i18nKey="w83bcomun"/>';
var comunicaciones = '<html:message key="comun.herramientas.comunicaciones" i18nKey="w83bcomun"/>';
var citaciones = '<html:message key="comun.herramientas.citaciones" i18nKey="w83bcomun"/>';
var migracion = '<html:message key="comun.herramientas.migracion" i18nKey="w83bcomun"/>';
var preavisos = '<html:message key="comun.informes.preavisos" i18nKey="w83bcomun"/>';
var actas = '<html:message key="comun.informes.actas" i18nKey="w83bcomun"/>';
var impuglaudos = '<html:message key="comun.herramientas.impugnaciones" i18nKey="w83bcomun"/>';
var comempresa = '<html:message key="comun.comunicaciones.comempresa" i18nKey="w83bcomun"/>';
var requemesa = '<html:message key="comun.comunicaciones.requemesa" i18nKey="w83bcomun"/>';
var resoldenegatorias = '<html:message key="comun.comunicaciones.resoldenegatorias" i18nKey="w83bcomun"/>';
var extracdatos='<html:message key="comun.comunicaciones.extracciondatos" i18nKey="w83bcomun"/>';
var impugresueltos='<html:message key="comun.comunicaciones.impugresueltas" i18nKey="w83bcomun"/>';
var laudosresueltos='<html:message key="comun.comunicaciones.laudosresueltos" i18nKey="w83bcomun"/>';
var txtIni = "<html:message key='comun.comunicaciones.desde' i18nKey='w83bcomun'/>";
var txtF = "<html:message key='comun.comunicaciones.hasta' i18nKey='w83bcomun'/>";
var txtIninoobl = "<html:message key='comun.comunicaciones.desdenoobl' i18nKey='w83bcomun'/>";
var txtFnoobl = "<html:message key='comun.comunicaciones.hastanoobl' i18nKey='w83bcomun'/>";
var txtenviocorrespondenciaok = "<html:message key='comun.comunicaciones.enviocorrespondenciaok' i18nKey='w83bcomun'/>";
var fechapreavisoerronea = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.comunicaciones.fechapreavisodesde",strIdioma.toString())
						}) %>';
var fechapreavisodesdeobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.comunicaciones.fechapreavisodesde",strIdioma.toString())
						}) %>';
var numerocentroobl = '<html:message key="comun.comunicaciones.centroobligatorio" i18nKey="w83bcomun"/>';
var anopreavisoobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.preavisos.campos.anyoPreaviso",strIdioma.toString())
						}) %>';
var numpreavisoobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.preavisos.tabla.num_preaviso",strIdioma.toString())
						}) %>';
var fechacomunicacionobl ='<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.comunicaciones.fechafirmacomunicacion",strIdioma.toString())
						}) %>';
var fechacomunicacionerronea = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.comunicaciones.fechafirmacomunicacion",strIdioma.toString())
						}) %>';
var seleccionarfirmante = '<html:message key="error.mensaje.seleccionarfirmante" i18nKey="w83brecursosErrores"/>';
var fechaentradadesdeobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.informes.fechaEntradaDesde",strIdioma.toString())
						}) %>';
var fechaentradahastaobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.informes.fechaEntradaHasta",strIdioma.toString())
						}) %>';
var fechavalidaciondesdeobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaValidaciondesde",strIdioma.toString())
						}) %>';
var fechavalidacionhastaobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaValidacionhasta",strIdioma.toString())
						}) %>';
var fechaimpugdesdeobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.fechaImpugDesde",strIdioma.toString())
						}) %>';
var fechaimpughastaobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.fechaImpugHasta",strIdioma.toString())
						}) %>';
var fechalaudodesdeobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.fechaLaudoDesde",strIdioma.toString())
						}) %>';
var fechalaudohastaobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.fechaLaudoHasta",strIdioma.toString())
						}) %>';
var fechaentradadesdeerronea = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.informes.fechaEntradaDesde",strIdioma.toString())
						}) %>';
var fechaentradahastaerronea = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.informes.fechaEntradaHasta",strIdioma.toString())
						}) %>';
var fechavalidaciondesdeerronea = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaValidaciondesde",strIdioma.toString())
						}) %>';
var fechavalidacionhastaerronea = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaValidacionhasta",strIdioma.toString())
						}) %>';
var fechaimpugdesdeerronea = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.fechaImpugDesde",strIdioma.toString())						
						}) %>';
var fechaimpughastaerronea = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.fechaImpugHasta",strIdioma.toString())
						}) %>';
var fechalaudodesdeerronea = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.fechaLaudoDesde",strIdioma.toString())
						}) %>';
var fechalaudohastaerronea = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.fechaLaudoHasta",strIdioma.toString())
						}) %>';
var fechaentradaobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.preavisos.labels.fechentrada",strIdioma.toString())
						}) %>';
var fechaentradaerronea = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.preavisos.labels.fechentrada",strIdioma.toString())
						}) %>';
var anoactaobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.comunicaciones.anoactadesde",strIdioma.toString())
						}) %>';
var numactaobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.comunicaciones.numactadesde",strIdioma.toString())
						}) %>';
var anoactahobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.comunicaciones.anoactahasta",strIdioma.toString())
						}) %>';
var numactahobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.comunicaciones.numactahasta",strIdioma.toString())
						}) %>';
var razonobl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.actas.razonSocial",strIdioma.toString())
						}) %>';
var numlaudodesdeobl = "<html:message key='error.mensaje.numlaudodesdeobl' i18nKey='w83brecursosErrores'/>"
var numlaudohastaobl = "<html:message key='error.mensaje.numlaudohastaobl' i18nKey='w83brecursosErrores'/>"
var literalNoExistenActas='<html:message key="error.mensaje.noExistenActasParametros" i18nKey="w83brecursosErrores"/>';
var literalNoExistenPreavisos="<html:message key='comun.informes.noExistenPreavisos' i18nKey='w83bcomun'/>"; 
var literalNoExistenPreavisosActas="<html:message key='comun.informes.noExistenPreavisosActas' i18nKey='w83bcomun'/>";
var numlaudomayor= '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.campo1MenosCampo2",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.numLaudoDesde",strIdioma.toString()),
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.numLaudoHasta",strIdioma.toString())
						}) %>';
var actamayor= '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.campo1MenosCampo2",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.resultados.numactadesde",strIdioma.toString()),
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.resultados.numactahasta",strIdioma.toString())
						}) %>';
var fechafinimpugobl='<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.comunicaciones.fechaplazoimpug",strIdioma.toString())
						}) %>';
var fechafinimpugerronea='<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.date",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.comunicaciones.fechaplazoimpug",strIdioma.toString())
						}) %>';
var fechaentradamayor= '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.fechaInicialMenorFinal",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.informes.fechaEntradaDesde",strIdioma.toString()),
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.informes.fechaEntradaHasta",strIdioma.toString())
						}) %>';	
var fechavalidacionmayor= '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.fechaInicialMenorFinal",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaValidaciondesde",strIdioma.toString()),
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.incidencias.fechaValidacionhasta",strIdioma.toString())
						}) %>';	
var fechaimpugmayor= '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.fechaInicialMenorFinal",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.fechaImpugDesde",strIdioma.toString()),
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.fechaImpugHasta",strIdioma.toString())
						}) %>';	
var fechalaudomayor= '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.fechaInicialMenorFinal",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.fechaLaudoDesde",strIdioma.toString()),
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.listados.fechaLaudoHasta",strIdioma.toString())
						}) %>';	
var numactadesdeobl="<html:message key='error.mensaje.numactadesdeobl' i18nKey='w83brecursosErrores'/>";
var numactahastaobl="<html:message key='error.mensaje.numactahastaobl' i18nKey='w83brecursosErrores'/>";
var literalUnaopcion='<html:message key="error.mensaje.seleccionarunaopcion" i18nKey="w83brecursosErrores"/>';
var	literalSindicatoNoExiste='<html:message key="comun.impugnaciones.sindicatoNoExiste"/>';
var	literalVozNoExiste='<html:message key="comun.impugnaciones.vozNoExiste"/>';
var	literalTipoVozNoExiste='<html:message key="comun.impugnaciones.tipoVozNoExiste"/>';
var literalErrorAplicacion='<html:message key="aplicacion.error" i18nKey="w83bcomun"/>';
var permisoAlava = false;
var permisoBizkaia = false;
var permisoGipuzkoa = false;

var codigoAlava = '<%=W83bClsConstantes.CONSTANTE_ALAVA%>';
var codigoBizkaia = '<%=W83bClsConstantes.CONSTANTE_BIZKAIA%>';
var codigoGipuzkoa = '<%=W83bClsConstantes.CONSTANTE_GIPUZKOA%>';
var provUsuario= '<%=W83bUtilidadesN38API.elegirProvinciaDelegacion(permisoUsuario.getPerfilXLNets())%>';
if(codigoAlava=='<%=W83bUtilidadesN38API.elegirProvinciaDelegacion(permisoUsuario.getPerfilXLNets())%>'){
		permisoAlava = true;
}else if(codigoBizkaia=='<%=W83bUtilidadesN38API.elegirProvinciaDelegacion(permisoUsuario.getPerfilXLNets())%>'){
		permisoBizkaia = true;
}else if(codigoGipuzkoa=='<%=W83bUtilidadesN38API.elegirProvinciaDelegacion(permisoUsuario.getPerfilXLNets())%>'){
		permisoGipuzkoa = true;
}
var orderResp=" ORDER BY "; 
if(strIdioma=="eu"){
	orderResp=orderResp+" DESECARGO ";
}else{
	orderResp=orderResp+" DESCCARGO ";
}

var permisoServiciosCentrales = false;

if('<%=W83bClsConstantes.CONSTANTE_PERMISO_ADMOM_DIR_TRAB_SS_SERVCENTRALES%>'=='<%=W83bUtilidadesN38API.elegirServiciosCentralosODelegacion(permisoUsuario.getPerfilXLNets())%>'){
	permisoServiciosCentrales = true;
}
var permisomod = false;
if('<%=W83bClsConstantes.PERMISO_ADMINISTRADOR%>'!='<%=W83bUtilidadesN38API.elegirAdministradorConsulta(permisoUsuario.getPerfilXLNets())%>'){
	permisomod = true;
}

var tipoComunicacionEnvioObl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.comunicaciones.comunicacionesEnviar",strIdioma.toString())
						}) %>';
var tipoRemesaEnvioObl = '<%=Q70GestorMensajesi18n.getSingleton().getMessage("w83brecursosErrores","errors.required",strIdioma.toString(),new String[]{
						Q70GestorMensajesi18n.getSingleton().getMessage("w83bcomun","comun.comunicaciones.tipoRemesa",strIdioma.toString())
						}) %>';						

</script>